package rition.backend.api.v1.dto.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MetricDataResponse {
    /**
     * 监控指标值，使用json格式存储
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Double> metricData;

    /**
     * create_time
     */
    @JsonFormat()
    private Instant time;
}
